package com.hzya.frame.sysnew.generalData.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 
 * @content 档案对照实体类
 * @Param 
 * @Return 
 * @Author hecan 
 * @Date 2024/5/6 16:21
 * **/
public class GeneralDataEntity extends BaseEntity {
    private String archivesType;//类型
    private String leftCode;//左编码
    private String rightCode;//右编码

    private String leftAppId;//左应用id
    private String leftAppCode;//左应用编码
    private String leftAppName;//左应用名称
    private String leftApiId;//左接口ID
    private String leftId;//左id
    private String leftName;//左名称
    private String rightAppId;//右应用id
    private String rightAppCode;//右应用编码
    private String rightAppName;//右应用名称
    private String rightApiId;//右接口ID
    private String rightId;//右id
    private String rightName;//右名称

    private String leftOrg;//左公司
    private String rightOrg;//右公司

    public String getLeftOrg() {
        return leftOrg;
    }

    public void setLeftOrg(String leftOrg) {
        this.leftOrg = leftOrg;
    }

    public String getRightOrg() {
        return rightOrg;
    }

    public void setRightOrg(String rightOrg) {
        this.rightOrg = rightOrg;
    }

    public String getArchivesType() {
        return archivesType;
    }

    public void setArchivesType(String archivesType) {
        this.archivesType = archivesType;
    }

    public String getLeftCode() {
        return leftCode;
    }

    public void setLeftCode(String leftCode) {
        this.leftCode = leftCode;
    }

    public String getRightCode() {
        return rightCode;
    }

    public void setRightCode(String rightCode) {
        this.rightCode = rightCode;
    }

    public String getLeftAppId() {
        return leftAppId;
    }

    public void setLeftAppId(String leftAppId) {
        this.leftAppId = leftAppId;
    }

    public String getLeftAppCode() {
        return leftAppCode;
    }

    public void setLeftAppCode(String leftAppCode) {
        this.leftAppCode = leftAppCode;
    }

    public String getLeftAppName() {
        return leftAppName;
    }

    public void setLeftAppName(String leftAppName) {
        this.leftAppName = leftAppName;
    }

    public String getLeftApiId() {
        return leftApiId;
    }

    public void setLeftApiId(String leftApiId) {
        this.leftApiId = leftApiId;
    }

    public String getLeftId() {
        return leftId;
    }

    public void setLeftId(String leftId) {
        this.leftId = leftId;
    }

    public String getLeftName() {
        return leftName;
    }

    public void setLeftName(String leftName) {
        this.leftName = leftName;
    }

    public String getRightAppId() {
        return rightAppId;
    }

    public void setRightAppId(String rightAppId) {
        this.rightAppId = rightAppId;
    }

    public String getRightAppCode() {
        return rightAppCode;
    }

    public void setRightAppCode(String rightAppCode) {
        this.rightAppCode = rightAppCode;
    }

    public String getRightAppName() {
        return rightAppName;
    }

    public void setRightAppName(String rightAppName) {
        this.rightAppName = rightAppName;
    }

    public String getRightApiId() {
        return rightApiId;
    }

    public void setRightApiId(String rightApiId) {
        this.rightApiId = rightApiId;
    }

    public String getRightId() {
        return rightId;
    }

    public void setRightId(String rightId) {
        this.rightId = rightId;
    }

    public String getRightName() {
        return rightName;
    }

    public void setRightName(String rightName) {
        this.rightName = rightName;
    }
}
